Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154367 - ALT-drag of files is inconsistent depending on whether ALT pressed before/after drag is started
Summary: ALT-drag of files is inconsistent depending on whether ALT pressed before/aft...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-11 07:22 UTC by Stephen Warren
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version: nautilus-2.20.0-6.fc8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-11 22:23:51 UTC


Attachments (Terms of Use)

Description Stephen Warren 2005-04-11 07:22:27 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
In nautilus, one can press ALT during a drag operation to bring up a menu once the file has been dragged to the target (menu may be copy, move, link etc.).

To use this feature, the ALT button must be pressed after beginning the drag - if one presses it before, it triggers some wierd window resizing operation, not a file drag operation.

When SHIFT-dragging, one can press SHIFT before or after beginning the drag. ALT-dragging should work the same way.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Open a nautilus window.
2. Press ALT
3. Using the left mouse button, click (and old) a file, then attempt to drag it somewhere.
  

Actual Results:  You end up "restoring" the window (if it was maximized) and the mouse is warped to the title bar, and you end up moving the window instead of dragging the file.

Expected Results:  One should be dragging the file, with a "?" icon overlayed during the drag. The correct action can be observed by swapping steps 2 and 3 when following "steps to reproduce".

Additional info:

Comment 1 Sitsofe Wheeler 2005-04-12 18:27:49 UTC
What happens if you reassign shortcuts in gnome-window-properties ?

Comment 2 Stephen Warren 2005-04-13 04:00:30 UTC
If I do this (e.g. set the movement key to super), then when I drag with ALT
pressed first, this action is totally ignored.

Dragging and then pressing ALT after starting dragging still works.


Comment 3 Matthew Miller 2006-07-10 23:01:34 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 4 Stephen Warren 2007-11-11 22:23:51 UTC
Fixed in F8


Note You need to log in before you can comment on or make changes to this bug.